---
# - name: Apply labels node-1
#   community.kubernetes.k8s:
#     kubeconfig: ~/.kube/k3s.yaml
#     state: present
#     definition:
#       apiVersion: v1
#       kind: Node
#       metadata:
#         name: node-1
#         labels: 
#           node-role.kubernetes.io/worker: worker

# - name: Apply labels node-2
#   community.kubernetes.k8s:
#     kubeconfig: ~/.kube/k3s.yaml
#     state: present
#     definition:
#       apiVersion: v1
#       kind: Node
#       metadata:
#         name: node-2
#         labels: 
#           node-role.kubernetes.io/worker: worker

# - name: Create calico custom resources
#   community.kubernetes.k8s:
#     kubeconfig: ~/.kube/k3s.yaml
#     state: present
#     src: calico/calico.yaml

- name: Create namespaces
  community.kubernetes.k8s:
    kubeconfig: ~/.kube/k3s.yaml
    name: "{{ item }}"
    api_version: v1
    kind: Namespace
    state: present
  loop: "{{ app_namespaces }}"

- name: Instasll cert-manager
  include_tasks: security/cert-manager.yaml

# - name: Instasll traefik
#   include_tasks: network/traefik.yaml

# - name: Instasll prometheus
#   include_tasks: monitoring/prometheus.yaml

# - name: Instasll vault
#   include_tasks: secrets/vault.yaml


# - name: Instasll opa
#   include_tasks: opa.yaml

# - name: Create traefik custom resources
#   community.kubernetes.k8s:
#     kubeconfig: ~/.kube/k3s.yaml
#     state: present
#     src: traefik/resourceDefinition.yaml

# - name: Create traefik deployment
#   community.kubernetes.k8s:
#     kubeconfig: ~/.kube/k3s.yaml
#     state: present
#     src: traefik/deployment.yaml